module WeatherModel
  module SourceSchema
    WarningDistrict = {
      sort: 'Warning',
      table_name: :warning_district,
      schema: {
        publishtime: :datetime,
        warning_type: :string,
        level: :string,
        content: :string,
        unit: :string
      },
      options: {
        index: [:publishtime, :level, :unit],
        expire: 2 * 24 * 60 * 60,
        unique: nil,
        belongs_to: nil,
        has_many: nil,
        json_column: nil
      },
      factory_name: :warning_district,
      factory: {
        publishtime: Time.parse('2017-05-16 16:00'),
        warning_type: "雷电",
        level: "解除",
        content: "据最新气象资料分析，目前影响本地的雷暴已经明显减弱，本地雷电黄色预警信号解除。",
        unit: "宝山"
      }
    }
  end
end